%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-libintl
Version:       1.35
Release:       1mamba
Summary:       An internationalization library for Perl
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/G/GU/GUIDO/libintl-perl-%{version}.tar.gz
License:       GPL/Artistic License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libperl
BuildRequires: perl-Encode
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-devel >= %perl_major_ver
Requires:      perl >= %perl_major_ver

%description
The package libintl-perl is an internationalization library for Perl that aims to be compatible with the Uniforum message translations system as implemented for example in GNU gettext.

%prep
%setup -q -n libintl-perl-%{version}

%build
perl Makefile.PL
%make
make test

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[[ -z "$packlist" ]] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Wed Jan 15 2025 Automatic Build System <autodist@openmamba.org> 1.35-1mamba
- automatic version update by autodist

* Thu Jan 09 2025 Automatic Build System <autodist@openmamba.org> 1.34-1mamba
- automatic version update by autodist

* Tue Dec 20 2022 Automatic Build System <autodist@mambasoft.it> 1.33-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 1.32-1mamba
- automatic version update by autodist

* Sun May 03 2020 Automatic Build System <autodist@mambasoft.it> 1.31-1mamba
- automatic update by autodist

* Thu Nov 23 2017 Automatic Build System <autodist@mambasoft.it> 1.29-1mamba
- automatic update by autodist

* Sat Oct 28 2017 Automatic Build System <autodist@mambasoft.it> 1.28-1mamba
- automatic update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.26-2mamba
- perl 5.24 mass rebuild

* Tue Aug 30 2016 Automatic Build System <autodist@mambasoft.it> 1.26-1mamba
- automatic update by autodist

* Wed Apr 22 2015 Automatic Build System <autodist@mambasoft.it> 1.24-1mamba
- automatic update by autodist

* Fri Mar 01 2013 Automatic Build System <autodist@mambasoft.it> 1.23-1mamba
- automatic version update by autodist

* Mon Jan 21 2013 Automatic Build System <autodist@mambasoft.it> 1.21-1mamba
- automatic version update by autodist

* Fri Nov 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.20-1mamba
- perl 5.16 mass rebuild

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.16-2mamba
- automatic rebuild by autodist

* Thu Jun 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.16-1mamba
- update to 1.16

* Wed Feb 16 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11-1qilnx
- package created by autospec
